#!/usr/bin/perl
#-----------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# IBM Tape System Library Manager
#
# (C) Copyright IBM Corp. 2004, 2012 All Rights Reserved
#
# US Government Users Restricted Rights - Use,  duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#-----------------------------------------------------------------------
#
# @version 1.3 - 12/01/24 01:54:36
#
# @brief ermmtool - TSLM command line interface
# 
#--------------------------------------------------------------------

package Ermm::CLI::Refcmc;
use Getopt::Long;
use Term::ReadLine;
use Ermm::CLI::Conf;
use Ermm::CLI::Main;

$synopsis = "refcmc [-help, -? | -v]";

#
# refcmc
#
sub refcmc {
    my ($i, $result);
    my ($response);
    my $help = 0;
    my $sendString = "";
    my $matchString = "";

    #
    # process command line options
    #
    $result = GetOptions ("v"        => \$Ermm::CLI::Conf::verbose, # flag
                          "help|?"   => \$help);   # flag

    #
    # check if we should print usage infos
    #
    if ($result != 1 || $help == 1) {
        Ermm::CLI::Main::printtext('_USAGE_REFCMC', $synopsis);
        exit 1;
    }

    #
    # build send string
    #
    $sendString = "refresh task[\"$Ermm::CLI::Conf::taskId\"] cmc";
    $sendString .= ";\n";

    #
    # connect to TSLM server
    #
    Ermm::CLI::Main::connect();

    #
    # send command to server
    #
    Ermm::CLI::Main::send($sendString);

    #
    # receive response from server
    #
    $response = Ermm::CLI::Main::getResponse();

}

1;
