#!/usr/bin/perl
#-----------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# IBM Tape System Library Manager
#
# (C) Copyright IBM Corp. 2004, 2012 All Rights Reserved
#
# US Government Users Restricted Rights - Use,  duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#-----------------------------------------------------------------------
#
# @version 1.8 - 12/02/27 19:59:17
#
# @brief en_us - default resorce file for CLI NLS support
#
#
#-----------------------------------------------------------------------
# Change History:
#   Date      By          CMVC   Description
#   --------------------------------------------------------------------
#   2012/02/29 mkamiya    67222  changed audit command
package nls::cli_L10N::cli_en_us;
use base qw(nls::cli_L10N);
%Lexicon = (
'_COPYRIGHT' => <<'EOCOPYRIGHT',
IBM Tape System Library Manager
Licensed Materials - Property of IBM
(C) Copyright IBM Corp. 2004, 2012 All Rights Reserved
EOCOPYRIGHT
#-----------------------------------------------------------------------------
			'_LOGIN' => <<'EOLOGIN',
    host: [_1]
    port: [_2]
  client: [_3]
instance: [_4]
EOLOGIN
#-----------------------------------------------------------------------------
			'_USAGE' => << 'EOUSAGE',

Tool to dispatch Media Manager Commands.
By default all applications are listed.
usage: ermmtool ~[options~] ~[command~] ~[command options~]
 options:
    -h|--help      print this help
    -console       start MM monitor console
    -s ip~[:port~]   ip address of MM.                  Default: localhost
    -c appname     name of MM application             Default: ERMMSystem
    -i ainame      name of MM application instance.   Default: ERMMAdmin
    -m mode        0:one shot mode 1:halt on page     Default: 0
    -p password    MM application password.
    -am method     MM authentication method.
    -t tastID      Client Task ID for the command     Default: cli1

    Configuration files used: /etc/ermmcli.conf and ~/.ermmcli.conf
    ermmtool help             to get a list of all ermmtool commands.
    ermmtool help command     to get help to a specific command.

EOUSAGE

#-----------------------------------------------------------------------------
			'_USAGEWIN' => << 'EOUSAGEWIN',

Tool to dispatch Media Manager Commands.
By default all applications are listed.
usage: ermmtool ~[options~] ~[command~] ~[command options~]
 options:
    -h|--help      print this help
    -console       start MM monitor console
    -s ip~[:port~]   ip address of MM.                  Default: localhost
    -c appname     name of MM application             Default: ERMMSystem
    -i ainame      name of MM application instance.   Default: ERMMAdmin
    -m mode        0:one shot mode 1:halt on page     Default: 0
    -p password    MM application password.
    -am method     MM authentication method.

    Configuration files used: [_1][_2]
    ermmtool help             to get a list of all ermmtool commands.
    ermmtool help command     to get help to a specific command.

EOUSAGEWIN

#-----------------------------------------------------------------------------
			'_USAGE_ACCEPT' => <<'EOACCEPT',

Accept an operator request.
usage: [_1]
 options:
    -match <c>  -- select matching requests
    -help, -?   -- show this page
    -v          -- verbose mode

EOACCEPT
#-----------------------------------------------------------------------------
			'_USAGE_ADDAI' => <<'EOADDAI',

Add an application instance.
usage: [_1]
 options:
    -v          -- verbose mode
    -a          -- add application with administrative privilege (default:standard)
    -help, -?   -- show this page

EOADDAI
#-----------------------------------------------------------------------------
			'_USAGE_ADDAPP' => << 'EOADDAPP',

Add an application.
usage: [_1]
 options:
    -v          -- verbose mode
    -help, -?   -- show this page

EOADDAPP
#-----------------------------------------------------------------------------
			'_USAGE_ADDCG' => << 'EOADDCG',

Add a new cartridgegroup.
usage: [_1]
 options:
    -v          -- verbose mode
    -prio <num> -- set cartridgegroup priority (valid range: 0 - 1000)
    -scratch    -- cartridgegroup should become a scratchpool
    -help, -?   -- show this page

EOADDCG
#-----------------------------------------------------------------------------
			'_USAGE_ADDCGA' => << 'EOADDCGA',

Add a cartridgegroup application relation to the TSLM database.
usage: [_1]
 options:
    -v          -- verbose mode
    -prio <num> -- set relation priority (valid range: 0 - 1000)
    -help, -?   -- show this page

EOADDCGA
#-----------------------------------------------------------------------------
			'_USAGE_ADDDG' => << 'EOADDDG',

Add a new drivegroup.
usage: [_1]
 options:
    -v          -- verbose mode
    -help, -?   -- show this page

EOADDDG
#-----------------------------------------------------------------------------
			'_USAGE_ADDDGA' => << 'EOADDDGA',

Add a drivegroup application relation to the TSLM database.
usage: [_1]
 options:
    -v          -- verbose mode
    -help, -?   -- show this page

EOADDDGA
#-----------------------------------------------------------------------------
			'_USAGE_ADDDM' => << 'EOADDDM',

Add a drive manager.
usage: [_1]
 options:
    -v          -- verbose mode
    -help, -?   -- show this page

EOADDDM
#-----------------------------------------------------------------------------
			'_USAGE_ADDLIB' => << 'EOADDLIB',

Add a new library.
usage: [_1]
 options:
    -v          -- verbose mode
    -help, -?   -- show this page


EOADDLIB
#-----------------------------------------------------------------------------
			'_USAGE_ADDLM' => << 'EOADDLM',

Add a library manager.
usage: [_1]
 options:
    -v          -- verbose mode
    -help, -?   -- show this page
    lmname      -- name of new library manager
    libname     -- target library of the new library manager

EOADDLM
#-----------------------------------------------------------------------------
#			'_USAGE_ADDRMMVOL' => << 'EOADDRMMVOL',
#
#Add TSLM cartridge to DFSMSrmm.
#usage: [_1]
# options:
#    -v             -- verbose mode
#    -help, -?      -- show this page
#    -medinf        -- set the MEDIA information (MEDINF) in DFSMSrmm.
#    <cartridgePCL> -- specifies the name of the cartridge you want
#                      to add to DFSMSrmm. The first six character of
#                      the cartridge PCL are used for the volume serial
#                      number in DFSMSrmm.
#
#EOADDRMMVOL
#-----------------------------------------------------------------------------
			'_USAGE_ALLOC' => << 'EOALLOC',

Allocate a volume.
usage: [_1]
 options:
    -pcl <name> -- allocate the volume on cartridge with given pcl
    -type <name>-- allocate the volume on cartridge of given type
    -help, -?   -- show this page
    -v          -- verbose mode


EOALLOC
#-----------------------------------------------------------------------------
			'_USAGE_AUDIT' => << 'EOAUDIT',

Audit a library.
usage: [_1]
 options:
    -d          -- audit drives only
    -delta      -- audit detected changes only
    -pcl <name> -- audit specific cartridge (only 3584 library)
    -from <name>-- the slot where the audit process should start
    -to <name>  -- the slot where the audit process should end
    -help, -?   -- show this page
    -v          -- verbose mode

EOAUDIT
#-----------------------------------------------------------------------------
			'_USAGE_CANCEL' => << 'EOCANCEL',

Cancel a task.
usage: [_1]
 options:
    -help, -?   -- show this page
    -v          -- verbose mode


EOCANCEL
#-----------------------------------------------------------------------------
			'_USAGE_CHAI' => << 'EOCHAI',

Change attributes of application instances available in TSLM.
usage: [_1]
 options:
    -disable    -- disable application instance
    -enable     -- enable application instance
    -ad <data>  -- set AuthenticationData to <data>
    -admin      -- grant administrative privilege
    -am <method>-- set AuthenticationMethod to <method> valid values are:
                     "none", "password", "pwenc"
    -app <name> -- change instances of application <name>
    -nopc       -- disable privilege change
    -pc         -- enable privilege change
    -noadmin    -- revoke administrative privilege
    -desc <desc>-- change description of application
    -prio <num> -- set default priority for tasks (valid range: 0 - 1000)
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -v          -- verbose mode

EOCHAI
#-----------------------------------------------------------------------------
			'_USAGE_CHAPP' => << 'EOCHAPP',

Change attributes of applications available in TSLM.
usage: [_1]
 options:
    -disable     -- disable application
    -enable      -- enable application
    -rm          -- allow application to execute mounts for remote hosts
    -norm        -- disallow application to execute mounts for remote hosts
    -desc <desc> -- change description of application
    -help, -?    -- show this page
    -match <c>   -- define IEEE 1244 compliant match clause
    -v           -- verbose mode

EOCHAPP
#-----------------------------------------------------------------------------
			'_USAGE_CHCART' => << 'EOCHCART',

Change attributes of cartridges available in TSLM.
usage: [_1]
 options:
    -app <name> -- set owner application to <name>
    -group <name>   -- set cartridge group to <name>
    -type <name>    -- set cartridge type to <name>
    -dealloc <name> -- set group for deallocation to <name>
    -regex <exp>    -- apply changes only to cartridges with a matching pcl regex <exp>
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -v          -- verbose mode

EOCHCART
#-----------------------------------------------------------------------------
			'_USAGE_CHCG' => << 'EOCHCG',

Change attributes of cartridgegroups available in TSLM.
usage: [_1]
 options:
    -prio <num> -- set cartridgegroup priority (valid range: 0 - 1000)
    -mountlimit <num> -- set cartridgegroup mount limit (valid range: >=0)
    -dealloc <name> -- set group for deallocation to <name>
    -regex <exp>  -- aply changes only to groups with a matching name regex <exp>
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -v          -- verbose mode

EOCHCG
#-----------------------------------------------------------------------------
			'_USAGE_CHCGA' => << 'EOCHCGA',

Change attributes of cartridgegroup application relations available in TSLM.
usage: [_1]
 options:
    -prio <num> -- set relation priority (valid range: 0 - 1000)
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -v          -- verbose mode

EOCHCGA
#-----------------------------------------------------------------------------
			'_USAGE_CHDGA' => << 'EOCHDGA',

Change attributes of drivegroup application relations available in TSLM.
usage: [_1]
 options:
    -prio <num> -- set relation priority (valid range: 0 - 1000)
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -v          -- verbose mode

EOCHDGA
#-----------------------------------------------------------------------------
			'_USAGE_CHDM' => << 'EOCHDM',

Change attributes of drive managers available in TSLM.
usage: [_1]
 options:
    -reset      -- reset DM
    -restart    -- restart DM
    -rescan     -- force rescan of devices seen by HDM
    -disable    -- disable DM
    -drive <name> -- change only dms where drive = <name>
    -host <name> -- change only dms where host = <name>
    -mlevel <l> -- set MessageLevel of dm, valid values are:
                     "emergency", "alert", "critical",
                     "error", "warning", "notice",
                     "information","debug" or "developer"
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -v          -- verbose mode

EOCHDM
#-----------------------------------------------------------------------------
			'_USAGE_CHDRIVE' => << 'EOCHDRIVE',

Change attributes of drives available in TSLM.
usage: [_1]
 options:
    -disable    -- disable drive
    -enable     -- enable drive
    -online     -- set drive online
    -offline    -- set drive offline
    -broken     -- set drive broken = true
    -fixed      -- set drive broken = false
    -group <name> -- set drive group
    -dm ~[<name>~] -- set controlling drive manager
    -prio <num> -- set drive priority (valid range: 0 - 1000)
    -regex <exp> -- apply changes only to drives with a matching name regex <exp>
    -sn <num>   -- set drive serial number
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -v          -- verbose mode

EOCHDRIVE
#-----------------------------------------------------------------------------
			'_USAGE_CHLIB' => << 'EOCHLIB',

Change attributes of libraries available in TSLM.
usage: [_1]
 options:
    -disable    -- disable library
    -enable     -- enable library
    -on         -- set library online
    -off        -- set library offline
    -lm ~[<name>~]-- set controlling library manager
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -v          -- verbose mode

EOCHLIB
#-----------------------------------------------------------------------------
			'_USAGE_CHLM' => << 'EOCHLM',

Change attributes of library managers available in TSLM.
usage: [_1]
 options:
    -ad <data>  -- set AuthenticationData to <data>
    -am <method>-- set AuthenticationMethod to <method> valid values are:
                     "none", "password", "pwenc"
    -lib <name> -- change only lms for library <name>
    -mlevel <l> -- set MessageLevel of lm, valid values are:
                     "emergency", "alert", "critical",
                     "error", "warning", "notice",
                     "information","debug" or "developer"
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -v          -- verbose mode

EOCHLM
#-----------------------------------------------------------------------------
#			'_USAGE_CHRMMVOL' => << 'EOCHRMMVOL',
#
#Change volume information in DFSMSrmm
#usage: [_1]
# options:
#    -v           -- verbose mode
#    -help, -?    -- show this page
#    -desc <e>    -- description of the volume
#                    the description must be enclosed in quotes
#    -status <e>  -- status of a volume
#                    the status can be Master or Scratch
#    -medinf      -- set the MEDIA information (MEDINF) in DFSMSrmm
#    <rmm_volser> -- a full specified volume serial number. A volume
#                    serial number is one to six alphanumeric, national
#                    or special characters.
#
#EOCHRMMVOL
#-----------------------------------------------------------------------------
			'_USAGE_CHSYS' => << 'EOCHSYS',

Change attributes of the TSLM system configuration.
usage: [_1]
 options:
    -llevel <l> -- set LogLevel of mm, valid values are:
                     "emergency", "alert", "critical",
                     "error", "warning", "notice",
                     "information","debug" or "developer"
    -dcalimit <num> -- set max. number of dca records kept in database
    -messlimit <num> -- set max. number of log records kept in database
    -reqlimit <num> -- set max. number of request records kept in database
    -ton        -- enable tracing
    -toff       -- disable tracing
    -tfile <filename> -- set tracefile name
    -tsize <num>~[M|m|K|k~] -- set tracefile size
    -tnum <num> -- set number of tracefiles kept
    -tlevel <level> -- set trace level
    -von        -- enable version checking
    -voff       -- disable version checking
    -rlevel <level> -- set system reporting level, valid values are:
                         "enabled" or "disabled"
    -help, -?   -- show this page
    -v          -- verbose mode

EOCHSYS

#-----------------------------------------------------------------------------
			'_USAGE_CHTASK' => << 'EOCHTASK',

Change attributes of task available in TSLM.
usage: [_1]
 options:
    -prio <num> -- set task priority (valid range: 0 - 1000)
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -v          -- verbose mode

EOCHTASK

#-----------------------------------------------------------------------------
			'_USAGE_DEALLOC' => << 'EODEALLOC',

Deallocate one or more volumes.
usage: [_1]
 options:
    -app <name> -- dealloc volumes of application <name>
    -help, -?   -- show this page
    -v          -- verbose mode

EODEALLOC
#-----------------------------------------------------------------------------
			'_USAGE_EJECT' => << 'EOEJECT',

Eject cartridges.
usage: [_1]
 options:
    -sg <name>  -- use this slotgroup as input station
    -lib <name> -- inject cartridges in this library
    -st <name>  -- slottype of cartridge slots (default: 3480)
    -help, -?   -- show this page
    -v          -- verbose mode

EOEJECT
#-----------------------------------------------------------------------------
			'_USAGE_EMAIL' => << 'EOEMAIL',

Forward TSLM messages as emails.
usage: [_1]
 options:
   -to <toaddress> -- Email address to send the messages to
   -level <level>  -- Only Messages with this or higher levels are forwarded.
                      All MM levels supported. Suggested levels:
                      'critical', 'error', 'warning', 'notice', 'information'
   -msgid <id>     -- Forward messages with this id. Example: -msgid EMM1022I
   -sendmail <cmd> -- Sendmail command to use, default: /usr/sbin/sendmail
   -help, -?       -- show this page
   -v              -- verbose mode

EOEMAIL
#-----------------------------------------------------------------------------
			'_USAGE_HEALTH' => << 'EOHEALTH',

Health check
usage: [_1]
 options:
    -v          -- verbose mode
    -mr         -- check if media manager pid exists (only on localhost)
    -mm         -- test connecting to media mangager port
    -lr         -- check if library manager pid exists (only on localhost)
    -lo         -- test with lslm if librarys are online
    -da         -- test with lsdrive if drives are recognised by the library
    -do         -- test with lsdrive if drives are online
    -co         -- test with lscart if cartridges are recognised
    -dm         -- test with lsdm if drives were reported by host drive manager
    -sa         -- test with lscg if scratch cartridges are available
    -dga        -- test with lsdga if a drive group application was entered
    -cga        -- test with lscga if a cartridge group application was entered
    -all        -- run all tests (default)
    -hdr on|off -- show header (attribute name) row (default=off)
    -help, -?   -- show this page
    -fmt xml|stanza|delim=c  -- define output format

EOHEALTH
#-----------------------------------------------------------------------------
			'_USAGE_INJECT' => << 'EOINJECT',

Inject cartridges.
usage: [_1]
 options:
    -sg <name>  -- use this slotgroup as input station
    -lib <name> -- inject cartridges in this library
    -help, -?   -- show this page
    -v          -- verbose mode


EOINJECT
#-----------------------------------------------------------------------------
			'_USAGE_LSAI' => << 'EOLSAI',

List application instances available in TSLM. By default all instances are listed.
usage: [_1]
 options:
    -l          -- long format output
    -s          -- short format output
    -x          -- extended IEEE 1244 output
    -v          -- verbose mode
    -app <name> -- show only instances of application <name>
    -hdr on|off -- show header (attribute name) row (default=on)
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -order <c>  -- define IEEE 1244 compliant order clause
    -number <c> -- define IEEE 1244 compliant number clause
    -fmt xml|stanza|delim=c  -- define output format

EOLSAI
#-----------------------------------------------------------------------------
			'_USAGE_LSAPP' => << 'EOLSAPP',

List applications available in TSLM. By default all applications are listed.
usage: [_1]
 options:
    -l          -- long format output
    -s          -- short format output
    -x          -- extended IEEE 1244 output
    -v          -- verbose mode
    -hdr on|off -- show header (attribute name) row (default=on)
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -order <c>  -- define IEEE 1244 compliant order clause
    -number <c> -- define IEEE 1244 compliant number clause
    -fmt xml|stanza|delim=c  -- define output format

EOLSAPP
#-----------------------------------------------------------------------------
			'_USAGE_LSCART' => << 'EOLSCART',

List cartridges available in TSLM
usage: [_1]
 options:
    -l          -- long format output
    -s          -- short format output
    -x          -- extended IEEE 1244 output
    -v          -- verbose mode
    -access     -- show only cartridges which CartridgeGroupName is not NoAccess
    -lib <name> -- show only cartridges in library <name>
    -group <id> -- Specifies the cartridge group for which all cartridges should be included in the list.
    -type <id> -- Specifies the cartridge type for which all cartridges should be included in the list.
    -state <state_name> -- Specifies the cartridge state for which all cartridges should be included in the list.
    -regex <id> -- Specifies a regular expression that describes the volume
                   name that should be included in the list.
                   NOTE: Quoting is needed in order to ensure correct shell processing.
    -hdr on|off -- show header (attribute name) row (default=on)
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -order <c>  -- define IEEE 1244 compliant order clause
    -number <c> -- define IEEE 1244 compliant number clause
    -fmt xml|stanza|delim=c  -- define output format

EOLSCART
#-----------------------------------------------------------------------------
			'_USAGE_LSCG' => << 'EOLSCG',

List cartridges groups available in TSLM.
usage: [_1]
 options:
    -l          -- long format output
    -s          -- short format output
    -x          -- extended IEEE 1244 output
    -v          -- verbose mode
    -hdr on|off -- show header (attribute name) row (default=on)
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -order <c>  -- define IEEE 1244 compliant order clause
    -number <c> -- define IEEE 1244 compliant number clause
    -fmt xml|stanza|delim=c  -- define output format

EOLSCG
#-----------------------------------------------------------------------------
			'_USAGE_LSCGA' => << 'EOLSCGA',

List cartridge group - application records available in TSLM.
usage: [_1]
 options:
    -l          -- long format output
    -s          -- short format output
    -x          -- extended IEEE 1244 output
    -v          -- verbose mode
    -app <name> -- show only records for application <name>
    -group <name>-- show only records for cartridgegroup <name>
    -hdr on|off -- show header (attribute name) row (default=on)
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -order <c>  -- define IEEE 1244 compliant order clause
    -number <c> -- define IEEE 1244 compliant number clause
    -fmt xml|stanza|delim=c  -- define output format

EOLSCGA
#-----------------------------------------------------------------------------
			'_USAGE_LSCT' => << 'EOLSCT',

List cartridge types available in TSLM.
usage: [_1]
 options:
    -l          -- long format output
    -s          -- short format output
    -x          -- extended IEEE 1244 output
    -v          -- verbose mode
    -hdr on|off -- show header (attribute name) row (default=on)
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -order <c>  -- define IEEE 1244 compliant order clause
    -number <c> -- define IEEE 1244 compliant number clause
    -fmt xml|stanza|delim=c  -- define output format

EOLSCT
#-----------------------------------------------------------------------------
			'_USAGE_LSDCA' => << 'EOLSDCA',

List drive-cartridge-access objects available in TSLM.
usage: [_1]
 options:
    -l            -- long format output
    -s            -- short format output
    -x            -- extended IEEE 1244 output
    -v            -- verbose mode
    -app <name>   -- show only objects of application <name>
    -drive <name> -- show only objects for drive <name>
    -cart <pcl>   -- show only objects for cartridge <pcl>
    -hdr on|off   -- show header (attribute name) row (default=on)
    -help, -?     -- show this page
    -match <c>    -- define IEEE 1244 compliant match clause
    -order <c>    -- define IEEE 1244 compliant order clause
    -sodd         -- sorts by drive name descending
    -soda         -- sorts by drive name ascending
    -socd         -- sorts by cartridge pcl descending
    -soca         -- sorts by cartridge pcl ascending
    -soad         -- sorts by application name descending
    -soaa         -- sorts by application name ascending
    -sotd         -- sorts by time descending
    -sota         -- sorts by time ascending
    -begin <time> -- list dca's unmounted later than this time or date.
    -end <time>   -- list dca's unmounted earlier than this time.
                     <time> can be an ISO 8601 compliant date, a time or
                     a time difference relative to the current time.
                     ISO compliant date: YYYY-MM-DD, YYYY-MM-DDThh:mm:ss,
                     a time difference can be specified by
                     adding a trailing d, h, or m to the difference for
                     a difference in days, hours, or minutes.
                     Format for time differences: <timediff><m|h|d>
    -utc          -- use utc for timestamps (default=local time)
    -incomplete   -- list incomplete dca records.
    -number <c>   -- define IEEE 1244 compliant number clause
    -fmt xml|stanza|delim=c  -- define output format

EOLSDCA
#-----------------------------------------------------------------------------
			'_USAGE_LSDG' => << 'EOLSDG',

List drive groups available in TSLM.
usage: [_1]
 options:
    -l          -- long format output
    -s          -- short format output
    -x          -- extended IEEE 1244 output
    -v          -- verbose mode
    -hdr on|off -- show header (attribute name) row (default=on)
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -order <c>  -- define IEEE 1244 compliant order clause
    -number <c> -- define IEEE 1244 compliant number clause
    -fmt xml|stanza|delim=c  -- define output format

EOLSDG
#-----------------------------------------------------------------------------
			'_USAGE_LSDGA' => << 'EOLSDGA',

List drive group - application records available in TSLM.
usage: [_1]
 options:
    -l          -- long format output
    -s          -- short format output
    -x          -- extended IEEE 1244 output
    -v          -- verbose mode
    -app <name> -- show only records for application <name>
    -group <name>-- show only records for drivegroup <name>
    -hdr on|off -- show header (attribute name) row (default=on)
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -order <c>  -- define IEEE 1244 compliant order clause
    -number <c> -- define IEEE 1244 compliant number clause
    -fmt xml|stanza|delim=c  -- define output format

EOLSDGA
#-----------------------------------------------------------------------------
			'_USAGE_LSDM' => << 'EOLSDM',

List drive managers available in TSLM database. By default all drive managers are listed.
usage: [_1]
 options:
    -l          -- long format output
    -s          -- short format output
    -x          -- extended IEEE 1244 output
    -v          -- verbose mode
    -drive <d>  -- define the drive for which all dms should be listed
    -host <host>  -- show only dms for a given host
    -hdr on|off -- show header (attribute name) row (default=on)
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -order <c>  -- define IEEE 1244 compliant order clause
    -number <c> -- define IEEE 1244 compliant number clause
    -fmt xml|stanza|delim=c  -- define output format

EOLSDM
#-----------------------------------------------------------------------------
			'_USAGE_LSDRIVE' => << 'EOLSDRIVE',

List drives available in TSLM.
usage: [_1]
 options:
    -l            -- long format output
    -s            -- short format output
    -x            -- extended IEEE 1244 output
    -v            -- verbose mode
    -access       -- show only drives which DriveGroupName is not NoAccess
    -lib <name>   -- show only drives in library <name>
    -group <name> -- show only drives in drivegroup <name>
    -pcl <pcl>    -- show drive where the given Cartridge is loaded
    -hdr on|off   -- show header (attribute name) row (default=on)
    -help, -?     -- show this page
    -match <c>    -- define IEEE 1244 compliant match clause
    -order <c>    -- define IEEE 1244 compliant order clause
    -number <c>   -- define IEEE 1244 compliant number clause
    -fmt xml|stanza|delim=c  -- define output format

EOLSDRIVE
#-----------------------------------------------------------------------------
			'_USAGE_LSLIB' => << 'EOLSLIB',

List library available in TSLM database. By default all libraries are listed.
usage: [_1]
 options:
    -l          -- long format output
    -s          -- short format output
    -x          -- extended IEEE 1244 output
    -v          -- verbose mode
    -hdr on|off -- show header (attribute name) row (default=on)
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -order <c>  -- define IEEE 1244 compliant order clause
    -number <c> -- define IEEE 1244 compliant number clause
    -fmt xml|stanza|delim=c  -- define output format

EOLSLIB
#-----------------------------------------------------------------------------
			'_USAGE_LSLIBCON' => << 'EOLSLIBCON',

List libraries connected by shuttle to the specified library.
usage: [_1]
 options:
    -library    -- library name
    -v          -- verbose mode
    -help, -?   -- show this page
    -fmt xml|stanza|delim=c  -- define output format

EOLSLIBCON
#-----------------------------------------------------------------------------
			'_USAGE_LSLM' => << 'EOLSLM',

List library managers available in TSLM database. By default all library managers are listed.
usage: [_1]
 options:
    -l          -- long format output
    -s          -- short format output
    -x          -- extended IEEE 1244 output
    -v          -- verbose mode
    -lib <l>    -- define the library for which all lms should be listed
    -hdr on|off -- show header (attribute name) row (default=on)
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -order <c>  -- define IEEE 1244 compliant order clause
    -number <c> -- define IEEE 1244 compliant number clause
    -fmt xml|stanza|delim=c  -- define output format

EOLSLM
#-----------------------------------------------------------------------------
			'_USAGE_LSMESS' => << 'EOLSMESS',

List message objects available in TSLM.
usage: [_1]
 options:
    -l            -- long format output
    -s            -- short format output
    -x            -- extended IEEE 1244 output
    -v            -- verbose mode
    -level <name> -- show only message objects with level <name>
    -sotd         -- sorts by time descending
    -sota         -- sorts by time ascending
    -begin <time> -- list messages created later than this time
    -end <time>   -- list messages created earlier than this time
                     <time> can be an ISO 8601 compliant date, a time or
                     a time difference relative to the current time.
                     ISO compliant date: YYYY-MM-DD, YYYY-MM-DDThh:mm:ss,
                     a time difference can be specified by
                     adding a trailing d, h, or m to the difference for
                     a difference in days, hours, or minutes.
                     Format for time differences: <timediff><m|h|d>
    -regex <exp>  -- Specifies a regular expression that is used to filter
                     the lsmess command result (such as message ID,
                     application instance, ... )
    -utc          -- use utc for timestamps (default=local time)
    -hdr on|off   -- show header (attribute name) row (default=on)
    -help, -?     -- show this page
    -match <c>    -- define IEEE 1244 compliant match clause
    -order <c>    -- define IEEE 1244 compliant order clause
    -number <c>   -- define IEEE 1244 compliant number clause
    -fmt xml|stanza|delim=c  -- define output format

EOLSMESS
#-----------------------------------------------------------------------------
			'_USAGE_LSML' => << 'EOLSML',

List mountlogical objects available in TSLM.
usage: [_1]
 options:
    -l          -- long format output
    -s          -- short format output
    -x          -- extended IEEE 1244 output
    -v          -- verbose mode
    -drive <name>-- show only mountlogical objects for drive <name>
    -vol <name> -- show only mountlogical objects for volume <name>
    -app <name> -- show only mountlogical objects for application <name>
    -hdr on|off -- show header (attribute name) row (default=on)
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -order <c>  -- define IEEE 1244 compliant order clause
    -number <c> -- define IEEE 1244 compliant number clause
    -fmt xml|stanza|delim=c  -- define output format

EOLSML
#-----------------------------------------------------------------------------
			'_USAGE_LSMONITOR' => << 'EOLSMONITOR',

List event task objects available in TSLM.
usage: [_1]
 options:
    -l          -- long format output
    -s          -- short format output
    -x          -- extended IEEE 1244 output
    -v          -- verbose mode
    -hdr on|off -- show header (attribute name) row (default=on)
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -order <c>  -- define IEEE 1244 compliant order clause
    -number <c> -- define IEEE 1244 compliant number clause
    -fmt xml|stanza|delim=c  -- define output format


EOLSMONITOR
#-----------------------------------------------------------------------------
			'_USAGE_LSMP' => << 'EOLSMP',

List mountphysical objects available in TSLM.
usage: [_1]
 options:
    -l          -- long format output
    -s          -- short format output
    -x          -- extended IEEE 1244 output
    -v          -- verbose mode
    -drive <name>-- show only mountphysical objects for drive <name>
    -vol <name> -- show only mountphysical objects for volume <name>
    -app <name> -- show only mountphysical objects for application <name>
    -hdr on|off -- show header (attribute name) row (default=on)
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -order <c>  -- define IEEE 1244 compliant order clause
    -number <c> -- define IEEE 1244 compliant number clause
    -fmt xml|stanza|delim=c  -- define output format

EOLSMP
#-----------------------------------------------------------------------------
			'_USAGE_LSREQ' => << 'EOLSREQ',

List request objects available in TSLM.
usage: [_1]
 options:
    -l          -- long format output
    -s          -- short format output
    -x          -- extended IEEE 1244 output
    -v          -- verbose mode
    -state <name>-- show only objects with state <name>
    -sc <name>  -- show only objects where clinet = <name>
    -si <name>  -- show only objects where instance = <name>
    -prio <num> -- show only objects where priority >= <prio>
    -hdr on|off -- show header (attribute name) row (default=on)
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -order <c>  -- define IEEE 1244 compliant order clause
    -number <c> -- define IEEE 1244 compliant number clause
    -fmt xml|stanza|delim=c  -- define output format

EOLSREQ
#-----------------------------------------------------------------------------
#			'_USAGE_LSRMMVOL' => << 'EOLSRMMVOL',
#
#List volumes from DFSMSrmm.
#usage: [_1]
# options:
#    -l            -- long format output
#    -s            -- short format output
#    -v            -- verbose mode
#    -hdr on|off   -- show header (attribute name) row (default=on)
#    -help, -?     -- show this page
#    -limit <c>    -- number of volumes to be returned (default=100)
#                     if a limit and endvol is specified the limit
#                     will be ignored. The max value for limit is 9999.
#    -limit none   -- obtain a list with ALL volumes. A long list with
#                     all volumes from DFSMSrmm will be generated.
#                     if a generic volser is specified with -limit none,
#                     only the volumes matching the volser are listed.
#    -owner <c>    -- defined owner in DFSMSrmm.
#    -endvol <c>   -- the end point of the volume list.
#    -location <c> -- defined DFSMSrmm location of the volser.
#    -fmt xml|stanza|delim=c  -- define output format
#    <rmm_volser>  -- a full specified volume serial number. A volume
#                     serial number is one to six alphanumeric,
#                     national or special characters.
#                     a generic volser is one to five alphanumeric,
#                     national or special characters followed by an
#                     asterisk (e.g. ABC*). In this case all volsers
#                     starting with ABC will be listed.
#
#EOLSRMMVOL
#-----------------------------------------------------------------------------
			'_USAGE_LSSES' => << 'EOLSSES',

List application instances available in TSLM. By default all instances are listed.
usage: [_1]
 options:
    -l          -- long format output
    -s          -- short format output
    -x          -- extended IEEE 1244 output
    -v          -- verbose mode
    -app <name> -- Specifies the name of the application for which all session objects should be listed.
    -hdr on|off -- show header (attribute name) row (default=on)
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -order <c>  -- define IEEE 1244 compliant order clause
    -number <c> -- define IEEE 1244 compliant number clause
    -fmt xml|stanza|delim=c  -- define output format

EOLSSES
#-----------------------------------------------------------------------------
			'_USAGE_LSSG' => << 'EOLSSG',

List slotgroups available in TSLM.
usage: [_1]
 options:
    -l          -- long format output
    -s          -- short format output
    -x          -- extended IEEE 1244 output
    -v          -- verbose mode
    -lib <name> -- show only slots in library <name>
    -bay <bay_name> -- Specifies the bay for which the slots should be included in the list.
    -hdr on|off -- show header (attribute name) row (default=on)
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -order <c>  -- define IEEE 1244 compliant order clause
    -number <c> -- define IEEE 1244 compliant number clause
    -fmt xml|stanza|delim=c  -- define output format

EOLSSG
#-----------------------------------------------------------------------------
			'_USAGE_LSSLOT' => << 'EOLSSLOT',

List slots available in TSLM.
usage: [_1]
 options:
    -l          -- long format output
    -s          -- short format output
    -x          -- extended IEEE 1244 output
    -v          -- verbose mode
    -lib <name> -- show only slots in library <name>
    -bay <bay_name> -- Specifies the bay for which the slots should be included in the list.
    -sg <slot_group> -- Specifies the slot group for which the slots should be included in the list.
    -pcl <pcl>  -- show the slot where the given Cartridge is inserted
    -empty -- Specifies that only empty slots should be included in the list.
    -hdr on|off -- show header (attribute name) row (default=on)
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -order <c>  -- define IEEE 1244 compliant order clause
    -number <c> -- define IEEE 1244 compliant number clause
    -fmt xml|stanza|delim=c  -- define output format

EOLSSLOT
#-----------------------------------------------------------------------------
			'_USAGE_LSSYS' => << 'EOLSSYS',

List system attributes available in TSLM.
usage: [_1]
 options:
    -l          -- long format output
    -s          -- short format output
    -x          -- extended IEEE 1244 output
    -v          -- verbose mode
    -hdr on|off -- show header (attribute name) row (default=on)
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -order <c>  -- define IEEE 1244 compliant order clause
    -number <c> -- define IEEE 1244 compliant number clause
    -fmt xml|stanza|delim=c  -- define output format

EOLSSYS
#-----------------------------------------------------------------------------
			'_USAGE_LSTASK' => << 'EOLSTASK',

List task objects available in TSLM.
usage: [_1]
 options:
    -l          -- long format output
    -e          -- include command expression in long format output
    -s          -- short format output
    -x          -- extended IEEE 1244 output
    -v          -- verbose mode
    -state <name>-- show only task objects with state <name>
    -hdr on|off -- show header (attribute name) row (default=on)
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -order <c>  -- define IEEE 1244 compliant order clause
    -number <c> -- define IEEE 1244 compliant number clause
    -fmt xml|stanza|delim=c  -- define output format

EOLSTASK
#-----------------------------------------------------------------------------
			'_USAGE_LSVOL' => << 'EOLSVOL',

List volumes available in TSLM.
usage: [_1]
 options:
    -l          -- long format output
    -s          -- short format output
    -x          -- extended IEEE 1244 output
    -v          -- verbose mode
    -app <name> -- show only volumes owned by application <name>
    -pcl <id>   -- Specifies the physical cartridge label for which
                   a corresponding volume should be included in the list.
    -regex <id> -- Specifies a regular expression that describes the volume
                   name that should be included in the list.
                   NOTE: Quoting is needed in order to ensure correct shell processing.
    -hdr on|off -- show header (attribute name) row (default=on)
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause
    -order <c>  -- define IEEE 1244 compliant order clause
    -number <c> -- define IEEE 1244 compliant number clause
    -fmt xml|stanza|delim=c  -- define output format

EOLSVOL
#-----------------------------------------------------------------------------
			'_USAGE_LSVU' => << 'EOLSVU',

Display the current number of value units (VUs).
usage: [_1]
 options:
    -l          -- long format output
    -s          -- short format output
    -v          -- verbose mode
    -hdr on|off -- show header (attribute name) row (default=on)
    -help, -?   -- show this page
    -fmt xml|stanza|delim=c  -- define output format

EOLSVU
#-----------------------------------------------------------------------------
			'_USAGE_MOUNT' => << 'EOMOUNT',

Mount a volume.
usage: [_1]
 options:
    -b               -- blocking mode; wait until all resources are available
    -where <ipadr>   -- specifies for which host the volume should be mounted
    -ro              -- read only access mode
    -drive <name>    -- specifies the drive which should be used
    -pcl <cartridge> -- mount cartride instead of a volume
    -help, -?        -- show this page
    -v               -- verbose mode

EOMOUNT
#-----------------------------------------------------------------------------
			'_USAGE_MOVE' => << 'EOMOVE',

Move a volume.
usage: [_1]
 options:
    -pcl          -- cartridge to move
    -lib          -- target library name where the cartridge should be moved to
    -toslot       -- target slot where the cartridge should be moved to
    -tosg         -- target slotgroup where the cartridge should be moved to
    -help, -?     -- show this page
    -v            -- verbose mode

EOMOVE
#-----------------------------------------------------------------------------
			'_USAGE_NOTIFYMSG' => << 'EONOTIFYMSG',

Add a User Log Message.
usage: [_1]
 options:
    -v          -- verbose mode
    -help, -?   -- show this page

where :
    message =
            must be a quoted message.
            Example: "Sample Text"
    level option =
                 -i          -- informational
                 -n          -- notice
                 -w          -- warning
                 -e          -- error

EONOTIFYMSG
#-----------------------------------------------------------------------------
			'_USAGE_RAW' => << 'EORAW',

Send raw IEEE 1244 command string to MM.
usage: [_1]

EORAW
#-----------------------------------------------------------------------------
			'_USAGE_RELEASE' => << 'EORELEASE',

Release an operator request.
usage: [_1]
 options:
    -match <c>  -- select matching requests
    -help, -?   -- show this page
    -v          -- verbose mode

EORELEASE
#-----------------------------------------------------------------------------
			'_USAGE_REFCMC' => << 'EOREFCMC',

Perform discovery command of CMC
usage: [_1]
 options:
    -help, -?   -- show this page
    -v          -- verbose mode

EOREFCMC
#-----------------------------------------------------------------------------
			'_USAGE_RESCHED' => << 'EORESCHED',

Reschedule blocked tasks.
usage: [_1]
 options:
    -lib <name>            -- reschedule blocked tasks for library <name>
    -app <name>            -- reschedule blocked tasks for application <name>
    -app <name> -ai <name> -- reschedule blocked task for application instance <name> of application <name>
    -nextTasks <[_2]..[_3]> -- reschedule the next <[_2]..[_3]> tasks for library, application or application instance
    -task <taskID>         -- reschedule blocked task with given ID
    -help, -?              -- show this page
    -v                     -- verbose mode

EORESCHED
#-----------------------------------------------------------------------------
			'_USAGE_RESPOND' => << 'EORESPOND',

Respond to an operator request.
usage: [_1]
 options:
  options for selecting requests:
    -text <t>     -- respond to all pending requests where text contains <s>
    -client <c>   -- respond to all pending requests from this client
    -all          -- respond to all pending requests (be careful!)
    -match <c>    -- use IEEE 1244 compliant match clause to select pending requests

  responses for automatic library requests:
    -eject        -- response to EMM2N10R to remove ejected cartridges
    -inject       -- response to EMM2N20R to insert cartridges for inject

  responses for manual library requests:
    -mount        -- respond to the EMM2M10R mount request
    -unmount      -- respond to the EMM2M20R unmount request
    -move         -- respond to the EMM2M30R move request
    -slotupdt     -- respond to the EMM2M40R slot update request
    -remove       -- respond to the EMM2M50R remove cartridge request
    -driveupdt    -- respond to the EMM2M60R drive update request

    -slot <name>  -- slotname for -slotupdt
    -pcl <name>   -- cartridge pcl for -slotupdt or -driveupdt
    -drive <name> -- drivename for -driveupdt

 miscellaneous options:
    -na           -- do not automatically accept responses
    -help, -?     -- show this page
    -v            -- verbose mode

EORESPOND
#-----------------------------------------------------------------------------
			'_USAGE_RMAI' => << 'EORMAI',

Remove application instances from TSLM database.
usage: [_1]
 options:
    -v          -- verbose mode
    -app <name> -- remove only instances of application <name>
    -regex <x>  -- remove only instances where name matches regex <x>
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause

EORMAI
#-----------------------------------------------------------------------------
			'_USAGE_RMAPP' => << 'EORMAPP',

Remove application from TSLM database.
usage: [_1]
 options:
    -v             -- verbose mode
    -help, -?      -- show this page
    -match <c>     -- define IEEE 1244 compliant match clause
    -regex <match> -- Specifies a regular expression that describes the
                      application name that should be deleted.

EORMAPP
#-----------------------------------------------------------------------------
			'_USAGE_RMCART' => << 'EORMCART',

Remove cartridges from TSLM database.
usage: [_1]
 options:
    -v          -- verbose mode
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause

EORMCART
#-----------------------------------------------------------------------------
			'_USAGE_RMCG' => << 'EORMCG',

Remove cartridgegroup from TSLM database.
usage: [_1]
 options:
    -v          -- verbose mode
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause

EORMCG
#-----------------------------------------------------------------------------
			'_USAGE_RMCGA' => << 'EORMCGA',

Remove cartridgegroup-application relation from TSLM database.
usage: [_1]
 options:
    -v          -- verbose mode
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause

EORMCGA
#-----------------------------------------------------------------------------
			'_USAGE_RMDG' => << 'EORMDG',

Remove drivegroup from TSLM database.
usage: [_1]
 options:
    -v          -- verbose mode
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause

EORMDG
#-----------------------------------------------------------------------------
			'_USAGE_RMDGA' => << 'EORMDGA',

Remove drivegroup-application relation from TSLM database.
usage: [_1]
 options:
    -v          -- verbose mode
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause

EORMDGA
#-----------------------------------------------------------------------------
			'_USAGE_RMDM' => << 'EORMDM',

Remove drive managers from TSLM database.
usage: [_1]
 options:
    -v            -- verbose mode
    -regex <x>    -- remove only dm where name matches regex <x>
    -drive <name> -- remove only dms for drive <name>
    -host <host>  -- remove dms for a given host <host>
    -help, -?     -- show this page
    -match <c>    -- define IEEE 1244 compliant match clause

EORMDM
#-----------------------------------------------------------------------------
			'_USAGE_RMDRIVE' => << 'EORMDRIVE',

Remove drive from TSLM database.
usage: [_1]
 options:
    -v          -- verbose mode
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause

EORMDRIVE
#-----------------------------------------------------------------------------
			'_USAGE_RMLIB' => << 'EORMLIB',

Remove library from TSLM database.
usage: [_1]
 options:
    -v          -- verbose mode
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause

EORMLIB
#-----------------------------------------------------------------------------
			'_USAGE_RMLM' => << 'EORMLM',

Remove library managers from TSLM database.
usage: [_1]
 options:
    -v          -- verbose mode
    -regex <x>  -- remove only lm where name matches regex <x>
    -lib <name> -- remove only lms for library <name>
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause

EORMLM
#-----------------------------------------------------------------------------
			'_USAGE_RMMONITOR' => << 'EORMMONITOR',

Cancel and remove monitor from TSLM database.
usage: [_1]
 options:
    -v          -- verbose mode
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause

EORMMONITOR
#-----------------------------------------------------------------------------
#			'_USAGE_RMRMMVOL' => << 'EORMRMMVOL',
#
#Delete volumes from DFSMSrmm.
#usage: [_1]
# options:
#    -v           -- verbose mode
#    -help, -?    -- show this page
#    <rmm_volser> -- a full specified volume serial number. A volume
#                    serial number is one to six alphanumeric, national
#                    or special characters.
#
#EORMRMMVOL
#-----------------------------------------------------------------------------
			'_USAGE_RMSES' => << 'EORMSES',

Remove session from TSLM database.
usage: [_1]
 options:
    -v          -- verbose mode
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause

EORMSES
#-----------------------------------------------------------------------------
			'_USAGE_RMSLOT' => << 'EORMSLOT',

Remove slot from TSLM database.
usage: [_1]
 options:
    -v          -- verbose mode
    -help, -?   -- show this page
    -regex <x>  -- remove only slots where name matches regex <x>
    -lib <name> -- remove only slots for library <name>
    -match <c>  -- define IEEE 1244 compliant match clause

EORMSLOT
#-----------------------------------------------------------------------------
			'_USAGE_RMTASK' => << 'EORMTASK',

Remove task from TSLM database.
usage: [_1]
 options:
    -v          -- verbose mode
    -help, -?   -- show this page
    -match <c>  -- define IEEE 1244 compliant match clause

EORMTASK
#-----------------------------------------------------------------------------
			'_USAGE_SHUTDOWN' => << 'EOSHUTDOWN',

Shutdown TSLM MediaManager.
usage: [_1]
 options:
    -help, -?   -- show this page
    -nnm        -- disallow new mount requests, but don't exit
    -v          -- verbose mode

EOSHUTDOWN
#-----------------------------------------------------------------------------
			'_USAGE_TECADAPT' => << 'EOTECADAPT',

Forward TSLM messages as TEC events.
usage: [_1]
 options:
   -help, -?       -- show this page
   -v              -- verbose mode

EOTECADAPT
#-----------------------------------------------------------------------------
			'_USAGE_UNMOUNT' => << 'EOUNMOUNT',

Unmount a volume.
usage: [_1]
 options:
    -help, -?   -- show this page
    -v          -- verbose mode
    -d          -- unmount drive
    -t          -- unmount clienttask

EOUNMOUNT

#-----------------------------------------------------------------------------
      '_USAGE_SYNCTOOL' => << 'EOSYNCTOOL',

Usage:


   IRMMDfsmsRmmSync -help         Shows this help page.

   IRMMDfsmsRmmSync -hskp         Cleanup the IRMM cartridges in DFSMSrmm.
                                  Cartridges that got already deleted in IRMM get deleted
                                  in DFSMSrmm.

                                  -hskp is mutually exclusive with the -hskplist parameter.

   IRMMDfsmsRmmSync -hskplist     Returns a list of all DFSMSrmm volsers that will be deleted
                                  when the -hskp option get used. The generated list will be
                                  printed on STDOUT.

                                  -hskplist is mutually exclusive with the -hskp parameter.

   IRMMDfsmsRmmSync -prefix <id>  Specifies a cartridge prefix that should be updated in
                                  DFSMSrmm. If the -prefix get used with the -hskp or -hskplist
                                  option, just those volsers get deleted from DFSMSrmm or listed
                                  in the generated list.
                                  The prefix like 'ABC' will update or delete all cartridges
                                  starting with 'ABC'.
EOSYNCTOOL

#-----------------------------------------------------------------------------

'CLIMSG_PROMT' => "Press <ENTER> to continue, press 'q' to quit : ",

'CLICONSMSG1001I' => "[_1] Message monitor task cancelled.\n",

#
# Verbose messages
#

'CLIVMSG1001I' => "\nStarting new session... ",

'CLIVMSG1002I' => "done\n",

'CLIVMSG1003I' => "\nsending=>[_1]\n",

'CLIVMSG1004I' => "\nClosing connection to MediaManager\n",

'CLIVMSG1005I' => "got response: [_1]\n",

'CLIVMSG1006I' => "command unacceptable: [_1]\n",

'CLIVMSG1007I' => "got notification: [_1]\n",

'CLIVMSG1008I' => "DFSMSrmm command=> [_1]\n",

'CLIVMSG1009I' => << 'EOCLIVMSG1009I',

Event attributes:
Type: [_1]
Name: [_2]
Instance: [_3]
Text: [_4]
Level: [_5]
Severity: [_6]
UUID: [_7]
Hostname: [_8]
Time: [_9]


EOCLIVMSG1009I

'CLIVMSG1010I' => " client~[\"[_1]\"~]\n".
		  " instance~[\"[_2]\"~]\n".
		  " password~[\"[_3]\"~]\n".
		  " language~[\"mmp\"~]\n",

'CLIVMSG1011I' => sub {
                      my $var2 = [_2] ? 'with' : 'without';
                      return "child died with signal [_1], $var2 coredump\n";
                      },

'CLIVMSG1012I' => "child exited with value [_1]\n",

#
# General messages
#

'EMM7002E' => "EMM7002E: Cannot connect to host [_1]:[_2]: [_3].\n",

'EMM7003E' => "EMM7003E: Unable to start session.\n",

'EMM7004E' => "EMM7004E: Cannot use pwenc without MIME::Base64.pm. Install perl 5.8.0 or greater.\n",

'EMM7005E' => "EMM7005E: Host \'[_1]\' not found.\n",

'EMM7006E' => "EMM7006E: Invalid character in input.\n",

'EMM7007E' => "EMM7007E: Invalid command: [_1].\n",

'EMM7008E' => "EMM7008E: To use this command [_1] needs to be installed.\n",

'EMM7009I' => "EMM7009I: No matching records found.\n",

'EMM7010E' => "EMM7010E: Missing arguments.\n",

'EMM7011E' => "EMM7011E: Too many arguments.\n",

'EMM7012E' => "EMM7012E: Level option not set.\n",

'EMM7013E' => "EMM7013E: Cannot create socket: [_1]\n",

'EMM7014E' => "EMM7014E: Unable to start session. Received \'unwelcome\' from media manager: [_1].\n",

'EMM7015E' => "EMM7015E: IP address [_1] was not reachable on the network within [_2] seconds.\n",

'EMM7016I' => "EMM7016I: Trying to reach media manager on alternate IP address.\n",

'EMM7017I' => "EMM7017I: No configuration files found.\n",

'EMM7018I' => "EMM7018I: Can not open configuration file [_1].\n",

'EMM7019I' => "EMM7019I: Can not close configuration file [_1].\n",

'EMM7020I' => "EMM7020I: Reordered the list of IP addresses in configuration file. New primary IP address is [_1].\n",

'EMM7021I' => "EMM7021I: Could not reorder the list of IP addresses in configuration file.\n",

'EMM7022E' => "EMM7022E: Cannot open directory [_1].\n",

'EMM7023E' => "EMM7023E: IPv6 is enabled but cannot be used until the Socket::Class module is installed.\n",

'EMM7024E' => "EMM7024E: Unable to resolve [_1] to IPv6.\n",

'EMM7025E' => "EMM7025E: The specified IP address [_1] is not a valid IPv4 address.\n",

'EMM7026E' => "EMM7026E: Mixed address range of IPv4 and IPv6 addresses are not supported.\n",

'EMM7100E' => "EMM7100E: DFSMSrmm returns - [_1]\n".
			  "          DFSMSrmm related message [_2], returncode = [_3], reasoncode = [_4]\n",

'EMM7101E' => "EMM7101E: DFSMSrmm returns - [_1]\n".
              "          DFSMSrmm related returncode = [_2], reasoncode = [_3]\n",

'EMM7102E' => "EMM7102E: SOAP returns - [_1]\n".
              "          SOAP related returncode = [_2]\n",

'EMM7102E_' => "EMM7102E: SOAP returns - [_1]\n",

'EMM7103E' => "EMM7103E: XML Parser returns - Not well formated data.\n",

'EMM7110E' => "EMM7110E: Add of unknown IRMM cartridge is not possible.\n",

'EMM7111E' => "EMM7111E: Delete of unknown IRMM cartridge is not possible.\n",

'EMM7112E' => "EMM7112E: Changing volume information of unknown IRMM cartridge is not possible.\n",

'EMM7113I' => "EMM7113I: Cartridge [_1] added without cartridge type. Inconsistency with VLPOOL medianame definition in DFSMSrmm.\n",

'EMM7114E' => "EMM7114E: Wrong status value. Status can be only master or scratch.\n",

'EMM7115E' => "EMM7115E: Status cannot be changed to [_1]. Status would be different to IRMM.\n",

'EMM7116E' => "EMM7116E: Limit value must be between 1 and 9999.\n",

'EMM7117E' => "EMM7117E: Incorrect limit value [_1].\n",

'EMM7118E' => "EMM7118E: Command unacceptable.\n",

'EMM7119E' => "EMM7119E: Command cancelled.\n",

'EMM7120E' => "EMM7120E: Error executing command: [_1].\n",

'EMM7121E' => "EMM7121E: Error reading response: [_1].\n",

'EMM7122E' => "EMM7122E: Invalid priority value: [_1].\n",

'EMM7123E' => "EMM7123E: Invalid mountlimit value: [_1].\n",

'EMM7124E' => "EMM7124E: Invalid value: [_1].\n",

'EMM7125E' => "EMM7125E: Invalid timestamp value: [_1].\n",

'EMM7126E' => "EMM7126E: Error reading notification: [_1].\n",

'EMM7127E' => "EMM7127E: Cannot open secure password file.\n",

'EMM7128E' => "EMM7128E: No definition for MEDINF NAME(OPEN) and MEDIATYPE([_1]) found in DFSMSrmm.\n",

'EMM7129E' => "EMM7129E: Cartridge [_1] from cartridge group \'NoAccess\' and status \'allocatable\' cannot be added to DFSMSrmm.\n",

'EMM7130E' => "EMM7130E: Only one option is allowed: -lib \<name\> | -app \<name\> | -app \<name\> -ai \<name\>\n",

'EMM7131E' => "EMM7131E: Missing application for application instance [_1].\n",

'EMM7132E' => "EMM7132E: Missing library, application or application instance for option nextTasks.\n",

'EMM7133E' => << 'EOEMM7133E',
EMM7133E: The value for parameter nextTasks must be a number between
          [_1] and [_2].
EOEMM7133E

'EMM7134E' => <<'EOEMM7134E',
EMM7134E: Config file [_1] for postzmsg missing.
		  Please create it from [_1].smp
		  with correct configuration items.
EOEMM7134E

'EMM7135E' => << 'EOEMM7135E',
EMM7135E: Failed to execute postzmsg: [_1].
		  Make sure that it is installed and available in the execution path.
EOEMM7135E

'EMM7136W' => "EMM7136W: Invalid value for option printHeader.\n",

'EMM7140E' => "EMM7140E: Missing recipient for sending mail notification.\n",

'EMM7141E' => "EMM7141E: Could not start [_1] for sending email.\n",

'EMM7142I' => "EMM7142I: The status of library [_1] has been updated.\n",

'EMM7201E' => "EMM7201E: DFSMSrmm server IP address not defined in configuration file.\n",

'EMM7202E' => "EMM7202E: DFSMSrmm server port not defined in configuration file.\n",

'EMM7203E' => "EMM7203E: DFSMSrmm location not defined in configuration file.\n",

'EMM7204E' => "EMM7204E: DFSMSrmm owner not defined in configuration file.\n",

'EMM7205E' => "EMM7205E: DFSMSrmm expiration date (MaxRetpd) not defined in configuration file.\n",

'EMM7206E' => "EMM7206E: Incorrect Application Server defined in configuration file. Either Tomcat or WebSphere needs to be specified.\n",

'EMM7207E' => "EMM7207E: The Application Server \'Tomcat\' requires the \'applicationUserid\' and \'applicationPassword\' in configuration file.\n",

#
# IRMMDfsmsRmmSync tool messages
#

'EMM5005E' => "EMM5005E: You have specified the -hskp and -hskplist options. They are mutually exclusive.\n",

'EMM5006E' => "EMM5006E: An instance of IRMMDfsmsRmmSync is already active.\n",

'EMM5007E' => "EMM5007E: Unsupported prefix entered.\n",

'EMM5009E' => "EMM5009E: Could not connect to ermmtool.\n",

'_SYNCTOOL_DESCR' => "\nIRMMDfsmsRmmSync - Synchronize the IRMM and DFSMSrmm databases.\n"

);

sub lookup_failure_handler {
    my $phrase = shift;
    my $messageID = shift;

    my $MsgLookupError = "EMM7016E";
    print "$MsgLookupError: Message ID \'$messageID\' not found in catalog.\n"
}

1;
