#!/usr/bin/perl
#-----------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# IBM Tape System Library Manager
#
# (C) Copyright IBM Corp. 2004, 2012 All Rights Reserved
#
# US Government Users Restricted Rights - Use,  duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#-----------------------------------------------------------------------
#
# @version 1.3 - 12/01/26 00:50:52
#
# @brief en_us - default resorce file for libbal NLS support
#
#
#-----------------------------------------------------------------------

package nls::lb_L10N::lb_en_us;
use base qw(nls::lb_L10N);

%Lexicon = (

'_COPYRIGHT' => << 'ENDCOPYRIGHT',
IBM Tape System Library Manager
Licensed Materials - Property of IBM
(C) Copyright IBM Corp. 2004, 2012 All Rights Reserved

ENDCOPYRIGHT

'_USGOVRESTRICTED' => << 'ENDUSGOVRESTRICTED',
US Government Users Restricted Rights - Use, duplication or
disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
ENDUSGOVRESTRICTED

'ECL1000E' => "ECL1000E: host \'[_1]\' not found\n",

'ECL1001E' => "ECL1001E: cannot create socket: [_1]\n",

'ECL1002E' => "ECL1002E:cannot connect to host \'[_1]\': [_2]\n",

'LBTRACEERR1' => "Couldn't open [_1] for write! RC: [_2]\n",

'LBTRACEERR2' => "Couldn't open [_1] for append! RC: [_2]\n",

'ERR_NOTIFICATION' => "Error receiving notificaton, trying next one",

'ERR_GET_UDRIVES' => "Error getting usable Drives for Type: [_1] of Library: [_2]",

'I_NO_UDRIVES' => "No usable Drives for Type: [_1] of Library: [_2] currently found",

'ERR_GET_ADRIVES' => "Error getting available Drives for Type: [_1] of Library: [_2]",

'I_NO_ADRIVES' => "No available Drives for Type: [_1] of Library: [_2] currently found",

'ERR_SET_NEWCGP' => "Error setting new CartridgeGroupPriority for Group: [_1]",

'ERR_REG_APP' => "Error registering application",

'ERR_GET_LIB' => "Error getting Libraries from TSLM",

'ERR_NO_LIB' => "Library: [_1] does not exist within TSLM",

'ERR_GET_CG' => "Error getting CartridgeGroups from TSLM",

'ERR_NO_CG' => "CartridgeGroup: [_1] does not exist within TSLM",

'I_NEXT_LIB' => "Next Library usage: [_1]"

);

sub lookup_failure_handler {
      my $phrase = shift;
          my $messageID = shift;
          my $MsgLookupError = "ECL1010E";
          print "$MsgLookupError: Message ID \'$messageID\' not found in catalog.\n";
      }

1;
