#!/usr/bin/perl
#-----------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# IBM Tape System Library Manager
#
# (C) Copyright IBM Corp. 2004, 2012 All Rights Reserved
#
# US Government Users Restricted Rights - Use,  duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#-----------------------------------------------------------------------
#
# @version %I% - %E% %U%
#
# @brief en_us - default resorce file for PWGEN NLS support
#
#
#-----------------------------------------------------------------------

package nls::pwg_L10N::pwg_en_us;
use base qw(nls::pwg_L10N);

%Lexicon = (

'_COPYRIGHT' => << 'ENDCOPYRIGHT',
IBM Tape System Library Manager
Licensed Materials - Property of IBM
(C) Copyright IBM Corp. 2004, 2012 All Rights Reserved

ENDCOPYRIGHT

'_USGOVRESTRICTED' => << 'ENDUSGOVRESTRICTED',
US Government Users Restricted Rights - Use, duplication or
disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
ENDUSGOVRESTRICTED

'_USAGE' => << 'ENDUSAGE',

ermmpwgen - Tool to generate and maintain MD5 passwords for TSLM
usage: ermmpwgen ~[options~] -c <Application> -i <Application Instance> -p <Password>
 options:
    -h|-?          Print this help.
    -am method     Authentication method (default: pwenc).
    -f pwfile      Password file to be used. Directory must exist.
                      (default UNIX: [_1])
                      (default Windows: Value of the environment variable [_2])
    -t             Print the encrypted password only, do not update password file.
                   Format: <app>:<ai>:<clear password>:<encrypted password>:<client flag>
                           flag=0: existing client,  flag=1: new client
    -q             Suppress the copyright header (quite mode).

    -c appname     Name of MM application.
    -i ainame      Name of MM application instance.
    -p password    The password in clear text.

ENDUSAGE

'EMM5001E' => "EMM5001E: Windows environment variable does not exist: [_1]\n",

'EMM5002E' => "EMM5002E: Windows directory does not exist: [_1]\n",

'EMM5003E' => "EMM5003E: Can not close secure password file [_1]\n",

'EMM5004E' => "EMM5004E: Can not open secure password file [_1]\n",

'PWENCMSG001' => "Password file successfully updated ([_1])\n",

'PWENCMSG002' => "MD5 encrypted \'[_1]\' into \'[_2]\' \n"

);

sub lookup_failure_handler {
      my $phrase = shift;
          my $messageID = shift;
          my $MsgLookupError = "EMM5010E";
          print "$MsgLookupError: Message ID \'$messageID\' not found in catalog.\n";
      }

1;
