#! /usr/bin/ksh
#-----------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# IBM Tape System Library Manager
#
# (C) Copyright IBM Corp. 2004, 2012 All Rights Reserved
#
# US Government Users Restricted Rights - Use,  duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#-----------------------------------------------------------------------
#
# @version 1.2 - 12/04/30 21:28:44
#
# @brief ha_db2_stop.ksh - DB2 stop script at concurrent rg stop.
#
#-----------------------------------------------------------------------

# Script direcotry
SCRIPT_DIR="/opt/IBM/ermm/ha"

mkdir -p $SCRIPT_DIR/log
exec >> $SCRIPT_DIR/log/`basename $0`.log
exec 2>&1

echo "----------------------------------------------------------------"
date
echo "----------------------------------------------------------------"

#set -x

# Set parameters
. $SCRIPT_DIR/env

# Deactivate DB and DB2 stop
${SU_CMD_DB2} "db2gcf -i ${DB2INSTANCE} -s"
RC=$?
if [[ $RC = 0 ]]; then
    ${SU_CMD_DB2} "db2 force application all"
    ${SU_CMD_DB2} "db2 deactivate db ${DBNAME}"
    ${SU_CMD_DB2} "db2stop"
    # In case db2stop fails...
    if [[ $? -ne 0 ]]; then
        ${SU_CMD_DB2} "db2stop force"
        # Terminate by force
        if [[ $? -ne 0 ]]; then
            ${SU_CMD_DB2} "db2_kill"
            ${SU_CMD_DB2} "killall"
            ${SU_CMD_DB2} "ipclean"
        fi
    fi
else
    echo "The instance is already stopped."
fi

exit 0
