#! /usr/bin/ksh
#-----------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# IBM Tape System Library Manager
#
# (C) Copyright IBM Corp. 2004, 2012 All Rights Reserved
#
# US Government Users Restricted Rights - Use,  duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#-----------------------------------------------------------------------
#
# @version 1.2 - 12/04/30 21:28:50
#
# @brief hadr_monitor.ksh - Get HADR State and Role
#
#-----------------------------------------------------------------------

# Script direcotry
SCRIPT_DIR="/opt/IBM/ermm/ha"

#set -x

# Set parameters
. $SCRIPT_DIR/env

# Get HADR State and Role from db2pd
HADR_PROBE=`${SU_CMD_DB2} "db2pd -hadr -db ${DBNAME}" | awk '($1 == "Primary") || ($1 == "Standby")' | awk '{print $1; print $2}'`
echo $HADR_PROBE  | read hadr_role hadr_state

# Get HADR Role from cfg
hadr_role_cfg=$(${SU_CMD_DB2} "db2 get db cfg for ${DBNAME} | grep 'HADR database role' | awk '{print \$5}'")

echo $hadr_role_cfg $hadr_state $hadr_role

exit 0
