#! /usr/bin/ksh
#-----------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# IBM Tape System Library Manager
#
# (C) Copyright IBM Corp. 2004, 2012 All Rights Reserved
#
# US Government Users Restricted Rights - Use,  duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#-----------------------------------------------------------------------
#
# @version 1.2 - 12/04/30 21:28:52
#
# @brief tslm_start.ksh - Start TSLM when DB becomes ready.
#
#-----------------------------------------------------------------------

# Script direcotry
SCRIPT_DIR="/opt/IBM/ermm/ha"

mkdir -p $SCRIPT_DIR/log
exec >> $SCRIPT_DIR/log/`basename $0`.log
exec 2>&1

echo "----------------------------------------------------------------"
date
echo "----------------------------------------------------------------"

#set -x

# Set parameters
. $SCRIPT_DIR/env

# Start TSLM when DB becomes ready to connect
# Try up to COUNT times
COUNT=200
while [[ $COUNT > 0 ]]
do
    # Get HADR Role and State on local node
    ${HADR_MONITOR} | read CFG_ROLE PD_STATE PD_ROLE
    date
    echo CFG_ROLE ${CFG_ROLE} PD_ROLE ${PD_ROLE} PD_STATE ${PD_STATE}

    if [[ "${PD_ROLE}" = "Primary" ]]; then
        echo "DB is now ready to connect. Start TSLM services."
        # Start TSLM Media Manager and Library Manager
        ${SU_CMD_TSLM} "ermmStart"
        sleep 2
        ${SU_CMD_TSLM} "ermmLmStart"
        exit 0
    fi
    sleep 2
    COUNT=`expr $COUNT - 1`
done

echo "Failed to start TSLM serivces since DB did not get ready in time."

exit 1
