#!/bin/sh
#-----------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# IBM Tape System Library Manager
#
# (C) Copyright IBM Corp. 2004, 2012 All Rights Reserved
#
# US Government Users Restricted Rights - Use,  duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#-----------------------------------------------------------------------
#
# @version 1.1 - 12/02/25 01:27:16
#
# @brief
#
# Sample scripts to import cartridges in I/O slots to internal slots
#
#-----------------------------------------------------------------------

echo "IBM Tape System Library Manager"
echo "Licensed Materials - Property of IBM"
echo "(C) Copyright IBM Corp. 2004, 2012 All Rights Reserved"
echo""

wait=30

if [[ -z $1  ]]
then
    echo "Syntax:  tslm_import.sh <library name>"
    return 4
fi

until [[ $stopnow -eq 1 ]] ; do
        echo "Auditing $1"
        ermmtool audit $1
        ermmtool lsslot -sg "I/O" -l -hdr off -fmt delim=":" > lsslot.output

        stopnow=1
        IFS=:
        while read -r name library lm bay group type pcl access full slotgroup
        do
                #echo $name $pcl $access $full
                if [[ $access = "true" && $full = "true" ]] ; then
                        echo "Importing $pcl from I/O slot $name"
                        ermmtool move -pcl $pcl -tosg internal
                        stopnow=0
                fi
        done < lsslot.output
        if [[ $stopnow -eq 0 ]] ; then
                echo "Waiting $wait seconds for new assignments"
                sleep $wait
        fi
done
echo "Done!" 
