#!/bin/sh
#-----------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# IBM Tape System Library Manager
#
# (C) Copyright IBM Corp. 2004, 2012 All Rights Reserved
#
# US Government Users Restricted Rights - Use,  duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#-----------------------------------------------------------------------
#
# @version 1.5 - 12/02/21 04:05:38
#
# @brief
#
#  The following three lines have been added by UDB DB2.
#
#-----------------------------------------------------------------------

echo "IBM Tape System Library Manager"
echo "Licensed Materials - Property of IBM"
echo "(C) Copyright IBM Corp. 2004, 2012 All Rights Reserved"
echo


# This script must run by ermm user
if [ "$USER" != "ermm" ]; then
    echo "This script must be run with ermm account."
    exit 1
fi


if [ -f /home/db2inst1/sqllib/db2profile ]; then
    . /home/db2inst1/sqllib/db2profile
fi
LOG=/opt/IBM/ermm/log/tslmdbmaintain.log
DATABASE=ermm
TABLE=
db2 connect to $DATABASE >$LOG

# table message
TABLE=ermm.m_message
echo "maintaining table $TABLE"| tee -a $LOG
db2 "reorg table $TABLE"| tee -a $LOG
db2 "reorg indexes all for table $TABLE"| tee -a $LOG
#db2 "runstats on table $TABLE"| tee -a $LOG
db2 "runstats on table $TABLE AND INDEXES ALL"| tee -a $LOG

# table drivecartridgeaccess
TABLE=ermm.m_drivecartridgeaccess
echo "maintaining table $TABLE"| tee -a $LOG
db2 "reorg table $TABLE"| tee -a $LOG
db2 "reorg indexes all for table $TABLE"| tee -a $LOG
db2 "runstats on table $TABLE AND INDEXES ALL"| tee -a $LOG

# table volume
TABLE=ermm.m_volume
echo "maintaining table $TABLE"| tee -a $LOG
db2 "reorg table $TABLE"| tee -a $LOG
db2 "reorg indexes all for table $TABLE"| tee -a $LOG
db2 "runstats on table $TABLE AND INDEXES ALL"| tee -a $LOG

# table gca
TABLE=ermm.m_gca
echo "maintaining table $TABLE"| tee -a $LOG
db2 "reorg table $TABLE"| tee -a $LOG
db2 "reorg indexes all for table $TABLE"| tee -a $LOG
db2 "runstats on table $TABLE AND INDEXES ALL"| tee -a $LOG

db2 connect reset| tee -a $LOG
echo "Done."
exit 0
