#!/bin/sh
#-----------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# IBM Tape System Library Manager
#
# (C) Copyright IBM Corp. 2004, 2012 All Rights Reserved
#
# US Government Users Restricted Rights - Use,  duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#-----------------------------------------------------------------------
#
# @version 1.5 - 12/02/21 04:05:39
#
# @brief
#
#  The following three lines have been added by UDB DB2.
#
#-----------------------------------------------------------------------

echo "IBM Tape System Library Manager"
echo "Licensed Materials - Property of IBM"
echo "(C) Copyright IBM Corp. 2004, 2012 All Rights Reserved"
echo


# This script must run by ermm user
if [ "$USER" != "ermm" ]; then
    echo "This script must be run with ermm account."
    exit 1
fi


# Log file for this script 
LOG=/opt/IBM/ermm/log/tslmdbrestore.log

# Get definitions of backup setting
. /opt/IBM/ermm/conf/dbuserexit.conf

# TSLMDBBACKUPDIR has the directory name for the backup files 
# check existence TSLMDBBACKUPDIR directory
if [ ! -d $TSLMDBBACKUPDIR ]
then
    echo "Backup directory $TSLMDBBACKUPDIR is not fonud." 
    exit 2
fi

# check if the Media Manager is running 
MMRUN=$(ps -ef | awk '{print $8}' | grep "^/opt/IBM/ermm/bin/MediaManager" )
if [ ! -z "$MMRUN" ]
then
    echo "Stop the Media Manager before the restore." 
    exit 2
fi


if [ -f /home/db2inst1/sqllib/db2profile ]; then
    . /home/db2inst1/sqllib/db2profile
fi

echo "Check the existence of ermm database" | tee $LOG
db2 "connect to ermm" >> $LOG 2>&1
if [ $? != 0 ];
then
   echo "Start restoring the database." | tee -a $LOG
   db2 "restore database ermm from $TSLMDBBACKUPDIR" | tee -a $LOG 2>&1
   echo "Done"
   exit 0
else
   db2 "disconnect current" >> $LOG 2>&1
   echo "Caution!! Existing database ermm! Should database be dropped? (Y/N)" | tee -a $LOG
   while [ 1 ];
   do
     read char
     if [[ $char == "y" || $char == "Y" ]]; then
       db2 "restore database ermm from $TSLMDBBACKUPDIR WITHOUT PROMPTING" | tee -a $LOG 2>&1 
      echo "Done."
       exit 0
     else
       echo "Operation was interrupted by user." | tee -a $LOG
       echo "Done."
       exit 0
     fi
   done
fi
