#!/bin/sh
#-----------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# IBM Tape System Library Manager
#
# (C) Copyright IBM Corp. 2004, 2012 All Rights Reserved
#
# US Government Users Restricted Rights - Use,  duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#-----------------------------------------------------------------------
#
# @version 1.5 - 12/02/21 04:05:40
#
# @brief
#
#  The following three lines have been added by UDB DB2.
#
#-----------------------------------------------------------------------

echo "IBM Tape System Library Manager"
echo "Licensed Materials - Property of IBM"
echo "(C) Copyright IBM Corp. 2004, 2012 All Rights Reserved"
echo


# This script must run by ermm user
if [ "$USER" != "ermm" ]; then
    echo "This script must be run with ermm account."
    exit 1
fi


# check if the Media Manager is running 
MMRUN=$(ps -ef | awk '{print $8}' | grep "^/opt/IBM/ermm/bin/MediaManager" )
if [ ! -z "$MMRUN" ]
then
    echo "Stop the Media Manager before the rollforward." 
    exit 2
fi


if [ -f /home/db2inst1/sqllib/db2profile ]; then
    . /home/db2inst1/sqllib/db2profile
fi
LOG=/opt/IBM/ermm/log/tslmdbrollforward.log

db2 "rollforward database ermm to end of logs and complete" | tee $LOG 2>&1 

echo "Done."
exit 0
