#!/bin/sh
#-----------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# IBM Tape System Library Manager
#
# (C) Copyright IBM Corp. 2004, 2012 All Rights Reserved
#
# US Government Users Restricted Rights - Use,  duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#-----------------------------------------------------------------------
#
# @version 1.2 - 12/02/21 04:05:42
#
# @brief
#
#  The following three lines have been added by UDB DB2.
#
#-----------------------------------------------------------------------

echo "IBM Tape System Library Manager"
echo "Licensed Materials - Property of IBM"
echo "(C) Copyright IBM Corp. 2004, 2012 All Rights Reserved"
echo

# This script must run by root user
if [ "$USER" != "root" ]; then
    echo "This script can not be run with non-root account."
    exit 1
fi


# Get definitions of backup setting
. /opt/IBM/ermm/conf/dbuserexit.conf

# TSLMAUDITERRPATH   : archive log erro path
# TSLMDBLOGARCHIVE   : directory of archive log files
# TSLMDBBACKUPDIR    : directory of db backup file
# TSLMDBLOGMIRRORDIR : directory of mirror log files
echo "Creating archive log erro path: $TSLMAUDITERRPATH"
mkdir -p $TSLMAUDITERRPATH
echo "Creating directory of db backup file: $TSLMDBBACKUPDIR"
mkdir -p $TSLMDBBACKUPDIR
echo "Creating directory of mirror log files: $TSLMDBLOGMIRRORDIR"
mkdir -p $TSLMDBLOGMIRRORDIR
echo "Creating directory of archive log files: $TSLMDBLOGARCHIVE"
mkdir -p $TSLMDBLOGARCHIVE

chmod -R 777 $TSLMAUDITERRPATH
chgrp ermm   $TSLMAUDITERRPATH
chmod -R 777 $TSLMDBBACKUPDIR
chgrp ermm   $TSLMDBBACKUPDIR
chmod -R 777 $TSLMDBLOGMIRRORDIR
chgrp ermm   $TSLMDBLOGMIRRORDIR
chmod -R 777 $TSLMDBLOGARCHIVE
chgrp ermm   $TSLMDBLOGARCHIVE


echo "Done."
exit 0
