#!/bin/sh
#-----------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# IBM Tape System Library Manager
#
# (C) Copyright IBM Corp. 2004, 2012 All Rights Reserved
#
# US Government Users Restricted Rights - Use,  duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#-----------------------------------------------------------------------
#
# @version 1.2 - 12/02/21 04:05:43
#
# @brief
#
#  The following three lines have been added by UDB DB2.
#
#-----------------------------------------------------------------------

echo "IBM Tape System Library Manager"
echo "Licensed Materials - Property of IBM"
echo "(C) Copyright IBM Corp. 2004, 2012 All Rights Reserved"
echo


# This script must run by ermm user
if [ "$USER" != "ermm" ]; then
    echo "This script must be run with ermm account."
    exit 1
fi


# Log file for this script 
LOG=/opt/IBM/ermm/log/tslmresetlogarchive.log


# check if the Media Manager is running 
MMRUN=$(ps -ef | awk '{print $8}' | grep "^/opt/IBM/ermm/bin/MediaManager" )
if [ ! -z "$MMRUN" ]
then
    echo "Stop the Media Manager before changing database setting" 
    exit 2
fi


#
# Update db cfg parameter mirrorlogpath
#
echo "Reset MIRRORLOGPATH parameter ..." | tee  $LOG
db2 "update db cfg for ermm using MIRRORLOGPATH NULL" | tee -a $LOG
if [ $? != 0 ]
then
    echo "Cannot update MIRRORLOGPATH parameter of database ermm." | tee -a $LOG
    exit 2
fi

#
# Update db cfg parameter logarchmeth1 select LOGRETAIN or USEREXIT
#
echo "Setting USEREXIT off  ..." | tee -a $LOG
db2 "update db cfg for ermm using USEREXIT off" | tee -a $LOG 2>&1 
if [ $? != 0 ]
then
    echo "Cannot update USEREXIT to on for database ermm." | tee -a $LOG
    exit 2
fi


echo "Successfully changing the database to reset archive logging mode."
exit 0
